Comment 17 for bug 1269731

James Hunt (jamesodhunt) wrote :

Hi Harry - thanks for testing this. The results you are seeing are very confusing since the changes between 2.18-0ubuntu4 and 2.18-0ubuntu5 are nominally only relevant for arm and powerpc systems. What could be different is the version of gcc used to build each of the eglibc and upstart versions since gcc has changed recently.

What would be useful to know is what happens if you down-graded upstart to version 1.10-0ubuntu9 and tried 'telinit u' with the 2 different versions of eglibc you mention. This might help us identify if the issue is caused by the compiler.